- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::CPascalString Class Reference

Inheritance diagram for Exponent::Basics::CPascalString:

List of all members.

## Detailed Description

Pascal style string.

Represents a string as a pascal style string with string[0] = sizeof the string

Date:
  03/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CPascalString.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 37 of file CPascalString.hpp.

## Public Member Functions

- CPascalString (const char *string=" ", const long size=256)
- char * getString () const
- const unsigned char * getUnsignedConstString () const
- void setString (const char *string, const long size=256)
- virtual ~CPascalString ()

## Protected Attributes

- char * m_string

## Constructor & Destructor Documentation

Exponent::Basics::CPascalString::CPascalString | ( | const char * | string = `" "`,
|  | const long | size = `256` |
| ) |  |  |

Construction

Parameters:

  | string | The c style string (NULL terminated) that you want to conver to a pascal style string
  | size | The maximum internal size of the string (MacOsX requires 256)

virtual Exponent::Basics::CPascalString::~CPascalString | ( |  | ) | `[virtual]`

Destructor

## Member Function Documentation

char* Exponent::Basics::CPascalString::getString | ( |  | ) | const

Get the string

Return values:

  | char* | A pointer to the internal string buffer

const unsigned char* Exponent::Basics::CPascalString::getUnsignedConstString | ( |  | ) | const

Get the string as an unsigned char *

Return values:

  | const | unsigned char* A Pointer to the string cast to unsigned char*

void Exponent::Basics::CPascalString::setString | ( | const char * | string,
|  | const long | size = `256` |
| ) |  |  |

Set the string

Parameters:

  | string | The string that you want to store
  | size | The maximum internal size of the string (MacOsX requires 256)

## Member Data Documentation

char* Exponent::Basics::CPascalString::m_string`[protected]`

The string we are storing

Definition at line 88 of file CPascalString.hpp.